{ pkgs, agenix, ... }:

{
  environment.systemPackages = with pkgs; [
    # Utilities
    neovim
    helix
    wget
    ripgrep
    eza
    bat
    tree
    dust
    pciutils
    man-pages
    man-pages-posix
    python3
    cheat

    # Nix
    home-manager
    nix-index
    direnv
    any-nix-shell
    agenix.packages."${system}".default
    age-plugin-yubikey
  ];

  # Some programs need SUID wrappers, can be configured further or are
  # started in user sessions.
  programs.gnupg.agent = {
    enable = true;
    enableSSHSupport = true;
  };
}
